> ## Documentation Index
> Fetch the complete documentation index at: https://docs.jurichat.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Obter funil

> Busca um funil específico pelo ID



## OpenAPI

````yaml https://api.jurichat.com/docs/client/openapi.json get /funnel/{id}
openapi: 3.1.0
info:
  title: JuriChat API — Documentação para Integradores
  description: ''
  version: 1.0.0
servers:
  - url: https://api.jurichat.com
    description: Production server
security:
  - apiKeyAuth: []
tags: []
paths:
  /funnel/{id}:
    get:
      tags:
        - CRM
      summary: Obter funil
      description: Busca um funil específico pelo ID
      parameters:
        - schema:
            anyOf:
              - type: string
                pattern: ^[cC][^\s-]{8,}$
              - type: array
                items:
                  type: string
                  pattern: ^[cC][^\s-]{8,}$
          in: query
          name: responsible
          required: false
          description: Filtra cards por um ou mais responsáveis.
        - schema:
            anyOf:
              - type: string
              - type: number
          in: query
          name: page
          required: false
          description: Número da página.
        - schema:
            anyOf:
              - type: string
              - type: number
          in: query
          name: limit
          required: false
          description: Quantidade de cards por coluna.
        - schema:
            type: string
            pattern: ^[cC][^\s-]{8,}$
          in: path
          name: id
          required: true
          description: ID do funil.
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  name:
                    type: string
                  columns:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        name:
                          type: string
                        color:
                          type: string
                        index:
                          type: number
                        kind:
                          type: string
                          enum:
                            - NORMAL
                            - WON
                            - LOST
                        items:
                          type: array
                          items:
                            type: object
                            properties:
                              id:
                                type: string
                              channel:
                                type: string
                                nullable: true
                              funnelId:
                                type: string
                              columnId:
                                type: string
                              userId:
                                type: string
                                pattern: ^[cC][^\s-]{8,}$
                              person:
                                type: object
                                properties:
                                  id:
                                    type: string
                                    pattern: ^[cC][^\s-]{8,}$
                                  name:
                                    type: string
                                    nullable: true
                                  email:
                                    type: string
                                    nullable: true
                                  phone:
                                    type: string
                                    nullable: true
                                  createdAt:
                                    type: string
                                    format: date-time
                                  updatedAt:
                                    type: string
                                    format: date-time
                                required:
                                  - id
                                  - createdAt
                                  - updatedAt
                                additionalProperties: false
                              customFields:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    id:
                                      type: string
                                    name:
                                      type: string
                                    type:
                                      type: string
                                    options:
                                      anyOf:
                                        - anyOf:
                                            - type: string
                                            - type: number
                                            - type: boolean
                                          nullable: true
                                        - type: array
                                          items:
                                            anyOf:
                                              - type: string
                                              - type: number
                                              - type: boolean
                                            nullable: true
                                        - type: array
                                          items:
                                            type: object
                                            additionalProperties:
                                              anyOf:
                                                - type: string
                                                - type: number
                                                - type: boolean
                                              nullable: true
                                        - type: object
                                          additionalProperties:
                                            anyOf:
                                              - type: string
                                              - type: number
                                              - type: boolean
                                            nullable: true
                                    value:
                                      anyOf:
                                        - anyOf:
                                            - type: string
                                            - type: number
                                            - type: boolean
                                          nullable: true
                                        - type: array
                                          items:
                                            anyOf:
                                              - type: string
                                              - type: number
                                              - type: boolean
                                            nullable: true
                                        - type: array
                                          items:
                                            type: object
                                            additionalProperties:
                                              anyOf:
                                                - type: string
                                                - type: number
                                                - type: boolean
                                              nullable: true
                                        - type: object
                                          additionalProperties:
                                            anyOf:
                                              - type: string
                                              - type: number
                                              - type: boolean
                                            nullable: true
                                  required:
                                    - id
                                    - name
                                    - type
                                    - value
                                  additionalProperties: false
                              createdAt:
                                type: string
                                format: date-time
                              updatedAt:
                                type: string
                                format: date-time
                            required:
                              - id
                              - channel
                              - funnelId
                              - columnId
                              - person
                              - customFields
                              - createdAt
                              - updatedAt
                            additionalProperties: false
                        total:
                          type: number
                        page:
                          type: number
                        hasMore:
                          type: boolean
                      required:
                        - id
                        - name
                        - color
                        - index
                        - kind
                        - items
                        - total
                        - page
                        - hasMore
                      additionalProperties: false
                  cardConfig:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          minLength: 1
                          maxLength: 200
                          description: >-
                            Identificador do campo. Campos personalizados usam
                            `customField:<id>`.
                        visible:
                          type: boolean
                          description: Indica se o campo é exibido no card.
                      required:
                        - id
                        - visible
                      additionalProperties: false
                    maxItems: 50
                    description: >-
                      Campos do card e sua ordem. `null` quando o funil usa o
                      padrão.
                    nullable: true
                  inboxId:
                    type: string
                    pattern: ^[cC][^\s-]{8,}$
                  createdAt:
                    type: string
                    format: date-time
                  updatedAt:
                    type: string
                    format: date-time
                required:
                  - id
                  - name
                  - cardConfig
                  - inboxId
                  - createdAt
                  - updatedAt
                additionalProperties: false
        '400':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  statusCode:
                    type: number
                  code:
                    type: string
                  details:
                    anyOf:
                      - type: string
                      - type: number
                      - type: boolean
                      - type: object
                        properties: {}
                        additionalProperties: true
                    description: Detalhes adicionais do erro.
                required:
                  - message
                  - statusCode
                additionalProperties: false
        '404':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  statusCode:
                    type: number
                  code:
                    type: string
                  details:
                    anyOf:
                      - type: string
                      - type: number
                      - type: boolean
                      - type: object
                        properties: {}
                        additionalProperties: true
                    description: Detalhes adicionais do erro.
                required:
                  - message
                  - statusCode
                additionalProperties: false
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-jurichat-api-key
      description: >-
        Chave de API do escritório (criada no painel). Envie o valor no header
        x-jurichat-api-key.

````